> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/for-developers/rest-api/core/license/check-a-license-key-and-return-its-limits.md).

# Check a license key and return its limits

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.0.3"},"tags":[{"name":"license","description":"Enterprise license."}],"paths":{"/api/v1/license/check":{"post":{"tags":["license"],"summary":"Check a license key and return its limits","operationId":"license_check","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckParams"}}},"required":true},"responses":{"200":{"description":"Decoded license limits.","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Invalid license key.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"License not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Unable to check license.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}},"components":{"schemas":{"CheckParams":{"type":"object","required":["license"],"properties":{"license":{"type":"string"}}},"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}}}
```
